For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all items on an internal purchase order

List all items on an internal purchase order

Required permissions: INTERNAL_PURCHASE_ORDER

get
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderUidstringRequired

Reference to an internal purchase order.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items
GET /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders/{internalPurchaseOrderUid}/items HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "product": {
        "productUid": "text",
        "productName": "text",
        "productSku": "text",
        "coverImage": {
          "productMediaUid": "text",
          "mainUrl": "text",
          "thumbnailUrl": "text"
        },
        "serialNoRequired": "NO"
      },
      "serialnumbers": [
        "text"
      ],
      "quantityOrdered": 1,
      "shipFromWarehouseUid": "text",
      "quantitySent": 1,
      "quantityReceived": 1,
      "receiveToWarehouseUid": "text",
      "costPrice": 1,
      "internalPurchaseOrderItemUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?